XG refs: evaluate params at runtime
Assignee:

Category:

Target version: Modding

Description

It would be great if more of the parameters required
for XG line/sector classes could be aquired at runtime
from map data.

For example being able to use the refering line's tag
as a parameter for a music class line.

Line Type {

ID = 5006

Comment = "Play music track ID line tagged - looped"
Flags = player_cross

Flags2 = when_act | any

Class = music

Count =1

Time =1

Ip0 = Ipref_tagged(1) # or Ipref_line_tagged etc...

lp1 =1

}

There is potential problem here with users creating
"bad" definitions which aquire non-compatible or
incomplete values. This might require a fair amount of
code for qualifying the data at runtime.

Another concern is the number of Ip/Fp fields this
would require so | would suggest the definition to
allow setting the data component for the reference in
the same field as above (or using whatever syntax you
feel appropriate).

Despite the obvious issues this feature could add a lot
flexibility to XG. It would certainly make an "XG

library" (that could be distributed with Doomsday) much
more feasible as currently too many parameters are
"hard wired" resulting in many slight variant XG
lines/sectors being defined.

Labels: XG

Related issues:
Related to Feature #1620: XG 2.0 Progressed  2010-04-20

History

#1 - 2005-04-22 16:37 - danij

- assigned_to: Daniel Swanson --> nobody

#2 - 2013-10-21 20:41 - skyjake
- Tags set to XG, Scripting

The basic idea is good and should be elegantly addressable with Doomsday Script expressions and longer scripts embedded in the XG (2.0)
definitions.
#3 - 2013-10-21 20:43 - skyjake

- Subject changed from References to acquire values for currently static params to XG refs: evaluate params at runtime

#4 - 2017-04-03 18:48 - skyjake

- Target version set to Modding
